Bug 183201 - TICK value set by adjtimex has no effect on ppc G4 (mac-mini)
TICK value set by adjtimex has no effect on ppc G4 (mac-mini)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 08:21 EST by Bas Hulsken
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:07:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bas Hulsken 2006-02-27 08:21:56 EST
Description of problem:

System time has more or less constant drift on a Mac-Mini (ppc, G4). However,
trying to compensate for this by issuing: 'adjtimex --tick 10028' (as sugested
here: http://ntp.isc.org/bin/view/Support/KnownHardwareIssues) has no effect
whatsoever. The TICK value reported by 'adjtimex -p' *is* changed to the new
value. So, I suspect a kernel bug, and not a bug in adjtimex. It's a relatively
big problem for me, because ntpd can not stabilize with such a big drift
(~10seconds/hour)

Version-Release number of selected component (if applicable):

kernel-2.6.15-1.1831_FC4.ppc.rpm
adjtimex-1.20-1.ppc.rpm

How reproducible:

Steps to Reproduce:
1. invoke 'adjtimex --tick 10028'
2. observe that nothing happens, systematic drift reported by ntpd remains the same
  
Actual results:

tick value set by adjtimex does not change the systematic drift in the system time.

Expected results:

tick value should influence system time drift

Additional info:
Comment 1 Dave Jones 2006-09-16 23:21:27 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:40:43 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:07:01 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.